#
# spec file for package gstreamer-0_10-plugins-bad
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with divx4linux
%bcond_with LV2

Name:           gstreamer-0_10-plugins-bad
# Patched code is built by default.
# Use rpmbuild -D 'BUILD_ORIG 1' to build original code.
# Use rpmbuild -D 'BUILD_ORIG 1' -D 'BUILD_ORIG_ADDON 1' to build patched build plus original as addon.
%define _name gst-plugins-bad
Version:        0.10.23
Release:        185.27
# FIXME: on new upstream version, double-check that the NOTE before the license tag can be removed
# FIXME: re-enable opencv BuildRequires once bnc#748666 is fixed (we don't want to depend on libxine!)
# FIXME: missing BuildRequires on opus (http://opus-codec.org/)
# FIXME: missing BuildRequires on libtiger (http://code.google.com/p/libtiger/)
# FIXME: missing BuildRequires on zbar (http://zbar.sourceforge.net/)
%define gst_branch 0.10
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Other
# NOTE: Some files for the vdpau plugin in this tarball have a GPL-3.0+ header;
# this was a mistake and is already fixed upstream, see bgo#671142 and
# http://cgit.freedesktop.org/gstreamer/gst-plugins-bad/commit/?id=044df35560bb095f2d244147928f291a4e65f5d3
Url:            http://gstreamer.freedesktop.org/
%if 0%{?BUILD_ORIG}
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-bad/%{_name}-%{version}.tar.xz
%else
# WARNING: This is not a comment, but the real command to repack souce:
#%(bash %{_sourcedir}/%{name}-patch-source.sh %{_name}-%{version}.tar.xz)
Source:         %{_name}-%{version}-patched.tar.xz
# If the above patch source script fails due to a change in source tarball contents, you need
# to unpack the sources (this should already have happened) and examine the new plugin source for
# blacklisted content and if it's clean, edit the script and add to the allowed list in the script
%endif
Source1:        %{name}-patch-source.sh
Source99:       baselibs.conf
Patch6:         gstreamer010-plugins-bad-real.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-bad-directfb.patch bgo#685609 dimstar@opensuse.org -- Change order the directfb headers are included, as directfb redefines / conflicts with gmacros.h (included from gst.h).
Patch7:         gstreamer-0_10-plugins-bad-directfb.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-bad-docbuild.patch dimstar@opensuse.org -- Fix building of documentation.
Patch8:         gstreamer-0_10-plugins-bad-docbuild.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-neon-0_30.patch bgo#705812 zaitor@opensuse.org -- Fix build with neon-0.30, patch taken from upstream git.
Patch9:         gstreamer-0_10-plugins-neon-0_30.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-bad-mp4-overflow.patch bnc#927559 mgorse@suse.com -- Fix buffer overflow in mp4 parsing.
Patch10:        gstreamer-0_10-plugins-bad-mp4-overflow.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-bad-libvpx.patch joerg.lorenzen@ki.tng.de -- Enable build against libvpx >= 1.4.
Patch11:        gstreamer-0_10-plugins-bad-libvpx.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-bad-gtk-doc-1.25.patch dimstar@opensuse.org -- Fix build with gtk-doc 1.25. index.sgml is an internal file and must not be messed with (and with gtk-doc 1.25 it is no longer created).
Patch12:        gstreamer-0_10-plugins-bad-gtk-doc-1.25.patch
# Please remove me when slv2 and lv2core are in factory.
%if %{with LV2}
BuildRequires:  slv2-devel
BuildRequires:  pkgconfig(lv2core)
%endif
BuildRequires:  DirectFB-devel
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  check-devel
BuildRequires:  dirac-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gstreamer-0_10-devel >= 0.10.36
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.36
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  jack-devel
BuildRequires:  ladspa-devel
BuildRequires:  libass-devel
BuildRequires:  libcdaudio-devel
BuildRequires:  libcelt-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libcurl-devel >= 7.21.0
%endif
BuildRequires:  libbz2-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libexempi-devel
BuildRequires:  libexif-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgme-devel
BuildRequires:  libgsm-devel
BuildRequires:  libiptcdata-devel
BuildRequires:  libjasper-devel
BuildRequires:  libkate-devel
BuildRequires:  liblrdf-devel
BuildRequires:  libmjpegutils-devel
BuildRequires:  libmms-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libofa-devel
BuildRequires:  libopus-devel
BuildRequires:  libpng-devel
BuildRequires:  libraptor-devel
BuildRequires:  librsvg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtimidity-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvpx-devel
BuildRequires:  neon-devel
%if 0%{?is_opensuse} || 0%{?suse_version} == 1310 || 0%{?suse_version} == 1320
BuildRequires:  openal-soft-devel
%endif
# Disabled because of bnc#748666
#BuildRequires:  opencv-devel
BuildRequires:  openssl-devel
BuildRequires:  orc
BuildRequires:  python-devel
BuildRequires:  schroedinger-devel
BuildRequires:  sgml-skel
BuildRequires:  soundtouch-devel
%if 0%{?suse_version} > 1210
BuildRequires:  spandsp-devel
%endif
BuildRequires:  translation-update-upstream
BuildRequires:  zvbi-devel
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
# FIXME: flite: Not in openSUSE
# FIXME: kate: can be enhanced with libtiger.
# FIXME: lv2: standard for plugins and matching host applications,
# FIXME: mimic: Requires libmimic.
# FIXME: mythtvsrc: Requires gmyth.
# FIXME: nassink: Not in openSUSE
# FIXME: rtmp: Not in openSUSE
# FIXME: wildmidi: Requires  WildMIDI Open Source Midi Synthesizer
# FIXME: zbar: Requires zbar.
# NOTE: acm: Windows ACM library
# NOTE: ivorbisdec: Integer arithmetic OGG Vorbis decoder. Interesting only for platforms without FPU.
# NOTE: swfdec: Requires obsolete swfdec version.
# NOTE: theoraexpdec: It's intender for experimental OGG Theora decoder
# NOTE: qtwrapper directdrawsink wininet: (Probably) not intended for Linux
# NOTE: spc: Requires OpenSPC: SPC music files dumped by ZSNES and SNES9X. libgme already provides better support for such files in an arch-independent way
%if 0%{?BUILD_ORIG}
# FIXME: Enable more modules.
BuildRequires:  faac-devel
BuildRequires:  faad2-devel
BuildRequires:  libaudio-devel
BuildRequires:  libdca-devel
BuildRequires:  libgmyth-devel
BuildRequires:  librtmp-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  pkgconfig(vo-aacenc)
BuildRequires:  pkgconfig(vo-amrwbenc)
%ifarch %ix86
# binary only so make conditional
%if %{with divx4linux}
BuildRequires:  divx4linux-devel
%endif
%endif
%endif
%if 0%{?suse_version} >= 1140
Requires(post): glib2-tools
Requires(postun): glib2-tools
%endif
%define gstreamer010_plugins_bad_req %(xzgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /;s/GSTPB_REQ=/gstreamer-0_10-plugins-base >= /' | tr '\\n' ' ')
Requires:       %gstreamer010_plugins_bad_req
Recommends:     %{name}-lang
Enhances:       gstreamer-0_10
# ensure clean update after package merge.
Provides:       gstreamer-0_10-schroedinger = 1.0.8
Obsoletes:      gstreamer-0_10-schroedinger <= 1.0.7
# Name up to 10.3:
Provides:       gstreamer010-plugins-bad = %{version}
Obsoletes:      gstreamer010-plugins-bad < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-bad = %{version}
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}
Provides:       patched_subset
%else
Provides:       %{name}-orig-addon = %{version}
Obsoletes:      %{name}-orig-addon
%endif
%else
Provides:       patched_subset
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%package orig-addon
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other
Requires:       %{name} >= %{version}
Supplements:    %{name}
# Name up to 10.3:
Provides:       gstreamer010-plugins-bad-orig-addon = %{version}
Obsoletes:      gstreamer010-plugins-bad-orig-addon < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-bad:%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so = %{version}
# For update from == 11.0 (mpeg4videoparse mpegtsparse mpegvideoparse):
Conflicts:      gstreamer-0_10-plugins-bad < 0.10.8

%description orig-addon
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%endif
%endif

%package -n libgstbasecamerabinsrc-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstbasecamerabinsrc-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstbasevideo-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstbasevideo-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstcodecparsers-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstcodecparsers-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstphotography-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstphotography-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstsignalprocessor-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstsignalprocessor-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstvdp-0_10-23
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other

%description -n libgstvdp-0_10-23
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package devel
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/C and C++
Requires:       gstreamer-0_10-devel
Requires:       libgstbasecamerabinsrc-0_10-23 = %{version}
Requires:       libgstbasevideo-0_10-23 = %{version}
Requires:       libgstcodecparsers-0_10-23 = %{version}
Requires:       libgstphotography-0_10-23 = %{version}
Requires:       libgstsignalprocessor-0_10-23 = %{version}
Requires:       libgstvdp-0_10-23 = %{version}

%description devel
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-bad-doc = %{version}
Obsoletes:      gstreamer010-plugins-bad-doc < %{version}

%description doc
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream po gst-plugins-bad-0.10
%patch6
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p1

%build
autoconf
%configure\
	--disable-static\
	--enable-experimental\
	--enable-gtk-doc
%__make %{?_smp_mflags} V=1 \
%ifarch ppc ppc64
	ORCC_FLAGS= \
%endif
	%{nil}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?suse_version} >= 1140

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun
%endif

%post -n libgstbasecamerabinsrc-0_10-23 -p /sbin/ldconfig

%post -n libgstbasevideo-0_10-23 -p /sbin/ldconfig

%post -n libgstcodecparsers-0_10-23 -p /sbin/ldconfig

%post -n libgstphotography-0_10-23 -p /sbin/ldconfig

%post -n libgstsignalprocessor-0_10-23 -p /sbin/ldconfig

%post -n libgstvdp-0_10-23 -p /sbin/ldconfig

%postun -n libgstbasevideo-0_10-23 -p /sbin/ldconfig

%postun -n libgstbasecamerabinsrc-0_10-23 -p /sbin/ldconfig

%postun -n libgstcodecparsers-0_10-23 -p /sbin/ldconfig

%postun -n libgstphotography-0_10-23 -p /sbin/ldconfig

%postun -n libgstsignalprocessor-0_10-23 -p /sbin/ldconfig

%postun -n libgstvdp-0_10-23 -p /sbin/ldconfig

%files
#    File not found: /usr/lib64/gstreamer-0.10/libgstjack.so
#    File not found: /usr/lib64/gstreamer-0.10/libgstmetadata.so
#    File not found: /usr/lib64/gstreamer-0.10/libgstselector.so
#    File not found: /usr/lib64/gstreamer-0.10/libgstvalve.so
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%{_datadir}/glib-2.0/schemas/org.freedesktop.gstreamer-0.10.default-elements.gschema.xml
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaiff.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapexsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstasfmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstassrender.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautoconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbayer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbz2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcamerabin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcamerabin2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcelt.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcog.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcolorspace.so
%if 0%{?suse_version} >= 1140
%{_libdir}/gstreamer-%{gst_branch}/libgstcurl.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdc1394.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdccp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecklink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdfbvideosink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdirac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtmf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaceoverlay.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfestival.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfragmented.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfreeverb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfreeze.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfrei0r.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgme.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgsettingselements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgsm.so
%{_libdir}/gstreamer-%{gst_branch}/libgsth264parse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsthdvparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3tag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstivfparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjp2k.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpegformat.so
%{_libdir}/gstreamer-%{gst_branch}/libgstkate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstladspa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlegacyresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlinsys.so
%{_libdir}/gstreamer-%{gst_branch}/libgstliveadder.so
%if %{with LV2}
%{_libdir}/gstreamer-%{gst_branch}/libgstlv2.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstmms.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmodplug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegvideoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmplex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmusepack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmve.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmxf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstneonhttpsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnsf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstofa.so
%if 0%{?is_opensuse} || 0%{?suse_version} == 1310 || 0%{?suse_version} == 1320
%{_libdir}/gstreamer-%{gst_branch}/libgstopenal.so
%endif
# Disabled because of bnc#748666
#%{_libdir}/gstreamer-%{gst_branch}/libgstopencv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstopus.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpatchdetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpcapparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpnm.so

%{_libdir}/gstreamer-%{gst_branch}/libgstrawparse.so
%ifarch %ix86 x86_64 ppc
%{_libdir}/gstreamer-%{gst_branch}/libgstreal.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstremovesilence.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrsvg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpvp8.so
%{_libdir}/gstreamer-%{gst_branch}/libgstscaletempoplugin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstschro.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdl.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdpelem.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmooth.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsndfile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsoundtouch.so
%if 0%{?suse_version} > 1210
%{_libdir}/gstreamer-%{gst_branch}/libgstspandsp.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstspeed.so
%{_libdir}/gstreamer-%{gst_branch}/libgststereo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstteletextdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttimidity.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttta.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvdpau.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomaxrate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomeasure.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideosignal.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvmnc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvp8.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4mdec.so
%{_libdir}/gstreamer-%{gst_branch}/libresindvd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinter.so
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%files orig-addon
%defattr(-, root, root)
%endif
%ifarch %ix86
%if %{with divx4linux}
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxenc.so
%endif
%endif
%{_datadir}/gstreamer-%{gst_branch}/presets/GstVoAmrwbEnc.prs
%{_libdir}/gstreamer-%{gst_branch}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvoamrwbenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdspu.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmythtvsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnassink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtmp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsiren.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so
%endif

%files -n libgstbasecamerabinsrc-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstbasecamerabinsrc-0.10.so.23*

%files -n libgstbasevideo-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstbasevideo-0.10.so.23*

%files -n libgstcodecparsers-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstcodecparsers-0.10.so.23*

%files -n libgstphotography-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstphotography-0.10.so.23*

%files -n libgstsignalprocessor-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstsignalprocessor-0.10.so.23*

%files -n libgstvdp-0_10-23
%defattr(-, root, root)
%{_libdir}/libgstvdp-0.10.so.23*

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{gst_branch}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gstreamer-basevideo-0.10.pc
%{_libdir}/pkgconfig/gstreamer-codecparsers-0.10.pc
%{_libdir}/pkgconfig/gstreamer-plugins-bad-0.10.pc

%files lang -f %{_name}-%{gst_branch}.lang

%files doc
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gst-plugins-bad-libs-%{gst_branch}/
%doc %{_datadir}/gtk-doc/html/gst-plugins-bad-plugins-%{gst_branch}/

%changelog
* Tue May 24 2016 dimstar@opensuse.org
- Drop libmusicbrainz-devel BuildRequires: gstreamer 0.10 only
  supports libmusicbrainz2 API. The current version 5 is not
  supported.
* Sun May  1 2016 zaitor@opensuse.org
- Only BuildRequire openal-soft-devel and package its resulting
  plugin for openSUSE via conditional. Fix build for SLE 12.
* Fri Apr  8 2016 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-bad-gtk-doc-1.25.patch: Fix build
  with gtk-doc 1.25. index.sgml is an internal file and must not be
  messed with (and with gtk-doc 1.25 it is no longer created).
  (Fate#318572)
* Tue May 12 2015 joerg.lorenzen@ki.tng.de
- Added patch gstreamer-0_10-plugins-bad-libvpx.patch to enable
  build against libvpx >= 1.4, new VPX_ prefixed namespaces are
  available since libvpx = 0.9.1.
* Fri Apr 24 2015 dimstar@opensuse.org
- Add baselibs.conf to sources.
* Thu Apr 23 2015 mgorse@suse.com
- Add gstreamer-0_10-plugins-bad-mp4-overflow.patch -- fix buffer
  overflow in mp4 parsing (bnc#927559 CVE-2015-0797).
* Wed Jan 21 2015 olaf@aepfle.de
- Include libgstgsettingselements.so unconditionally
* Thu Sep 18 2014 idonmez@suse.com
- Remove openal dependency bnc#886207
* Mon Sep  2 2013 schwab@linux-m68k.org
- Override ORCC_FLAGS on ppc to fix bad code generation
* Sat Aug 24 2013 zaitor@opensuse.org
- Add gstreamer-0_10-plugins-neon-0_30.patch, fix build with
  neon-0.30.
* Sun Feb 10 2013 reddwarf@opensuse.org
- Change lv2core-devel BuildRequire for pkgconfig(lv2core)
* Fri Jan 11 2013 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-bad-docbuild.patch: Fix building of
  documentations.
* Tue Jan  8 2013 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-bad-directfb.patch: Fix build with
  directfb 1.6, which redefines  __no_instrument_function__ in an
  incompatible way to glib's gmacro.h usage.
* Tue Oct 16 2012 coolo@suse.com
- Add explicit libbz2-devel BuildRequires.
* Thu Sep 13 2012 zaitor@opensuse.org
- Add BuildRequires: libopus-devel, opus has landed in factory.
* Fri Mar 23 2012 vuntz@opensuse.org
- Add spandsp-devel BuildRequires on openSUSE > 12.1 (since it's a
  new package), to build spandsp plugin.
* Fri Mar  2 2012 vuntz@opensuse.org
- Add a comment about GPL-3.0+ in the tarball, that were
  mis-licensed by mistake. This is already fixed upstream.
* Thu Mar  1 2012 reddwarf@opensuse.org
- Add support for vo-amrwbenc and vo-aacenc
* Thu Feb 23 2012 vuntz@opensuse.org
- Comment out opencv-devel BuildRequires to avoid building the
  opencv plugin until bnc#748666 is fixed: opencv currently has
  dependencies on libqt4-x11 and libxine, and that's not a good
  thing for a gstreamer plugin.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.10.23:
  + aiffparse: extract ID3 tags embedded in ID3 chunks
  + amrwbenc: switch to the free vo-amrwbenc library
  + apexsink: add support for generation 2 AirTunes hardware
  + applemedia: bump the rank of qtkitvideosrc to PRIMARY
  + autoconvert: remove the initial-identity property from
    autoconvert, update for basetransform changes in core
  + avcsrc: add AVC Video Services plugin for OS/X (captures DV or
    HDV video from Firewire port)
  + basevideo:
  - cater for format conversion
  - fix locking, especially if both pads have different streaming
    threads
  + basevideodecoder:
  - add API to drop a frame and post a QoS message on the bus
  - reverse playback support; limited legacy seeking support
  - better caps handling; event handling fixes esp. discont and
    flush
  + basevideoencoder:
  - add support for new force-key-unit event API
  - implement preset interface; enable clipping by default
  - proxy the width/height/framerate/PAR constraints of
    downstream caps to upstream
  + bayer2rgb: rewrite signal processing and convert to orc for
    better speed
  + camerabin2:
  - no longer experimental; add flags to disable conversion
    elements
  - add "audio-filter" property; countless fixes
  + camerabin:
  - add "image-formatter" property
  - prevent audio source from providing clock; reset audiosrc
    timestamping
  - prevent captures from being lost when switching resolutions
  + colorspace:
  - add JPEG YCbCr matrix
  - fix odd width and height handling in some fastpath cases
  - fix r210 writing only half a scanline
  + d3dvideosink: new d3dvideosink element
  + dc1394src: implement LATENCY query
  + debugutils: new elements: compare (with memcmp and ssim method)
    and debugspy
  + decklink:
  - add more modes, connection type, "audio-input" and
    "subdevice" properties
  - add support for Windows; properly set up analog input
  + decklinksink: add audio support
  + dfbvideosink: also consider non-accelerated DirectFB surfaces
  + diracparse: make diracparse work correctly
  + directdrawsink: handle pixel-aspect-ratio, lower rank to
    secondary
  + dshowdecwrapper: fix COM initialization
  + dtmf: post messages when starting to send/receive DTMF
  + dtmfsrc:
  - align DTMF sound buffers with last-stop from event
  - reject start/stop requests that come out of order
  + dvbsrc: add "timeout" property and use (interruptible) GstPoll
  + element-templates: improve the audiofilter template
  + faac:
  - add properties for VBR encoding
  - add profile and level to the caps; negotiate output format
    from downstream caps
  + facedetect: detect face features (mouth, nose, eyes) and drop
    faces that don't have them
  + faceoverlay: add element that displays an SVG image over a
    detected face
  + freeverb: new freeverb element (reverb effect)
  + h263parse: also extract width and height into caps; propagate
    downstream caps
  + h264parse:
  - many negotiation and caps-related fixes; propagate downstream
    caps where appropriate
  - countless parsing and timestamping fixes
  + hlsdemux:
  - allow bandwidth switching during caching of fragments
  - make more error resilient
  - cache number of fragments we are required to cache
  - add seeking support (for streams that are not live)
  - implement duration and seeking queries; improved duration
    reporting
  - send a flush-stop when switching pads. Fixes A -> A/V sync
    issue
  - implement buffering by posting buffering messages on the bus
  - send NEWSEGMENT events in TIME format
  - switch to higher/lower bitrate by more than one step at a
    time
  - handle change of media types
  + inter: new intermediate surface elements:
    inter{video,audio,sub}{sink,src} to decouple elements within the
    same pipeline
  + invtelecine: remove in favor of fieldanalysis
  + irtspparse: add Interleaved RTSP parser element
  + jifmux: change class to formatter, bump rank to secondary
  + kateenc: don't error on empty input buffers
  + kate:
  - do not consider an empty SPU to be a fatal error
  - pass on timed event metadata as tags when we can
  - support for rendering on several YUV formats
  + legacyh264parse:
  - create correct avc codec-data
  - delay pushing buffers until we have width/height
  - fix output caps alignment for avc input
  + modplug: fix modules playing as mono instead of stereo
  + motioncells: new element to detect areas of motion
  + mpeg2enc: support mjpegtools 2.0
  + mpeg4videoparse: properly handle profile and level in caps
  + mpegpsdemux: timestamp handling and seeking fixes
  + mpegpsmux:
  - remember whether an incoming buffer is a keyunit or not
  - add "aggregate-gops" property to aggregate GOPs into buffer
    lists
  - put stream headers into output caps
  + mpeg[pt]sdemux: add support for AAC LATM/LOAS streams
  + mpegtsbase: actually set seen_pat=TRUE when we see a PAT
  + mpegtsdemux:
  - always try to seek for to a keyframe; add accurate seeking
    support
  - fix frequent deadlock demuxing MPEG TS
  - fix scanning stopping too early
  - fix timestamps in newsegement event after seeking
  - implement key_unit seeking for MPEG2 video
  - payload parsing for H.264
  - push based seeking based on PCR
  + mpegtsmux:
  - add support for force key unit events
  - unset the current PCR stream when starting a new unit
  + mpegtsparse:
  - fix parsing of PSI table IDs
  - support more character set encodings
  + mpegts: stop scanning for keyframes as early as possible
  + ofa: don't crash when there's no data to create a fingerprint
    from
  + openal: new OpenAL sink and source elements: openalsrc,
    openalsink
  + opencv: allow to build against 2.3.1
  + opus: new Opus audio codec elements: opusdec, opusenc,
    opusparsertpopusdepay, rtpopusay
  + pcapparse: also support extracting tcp data; fix SLL parsing
  + photography: add missing FLICKER_REDUCTION capability
  + pvr2d: new pvrvideosink element
  + psmux: fix writing of system header, which makes VLC not skip
    the adjacent PSM and play embedded H.264 streams
  + removesilence: new plugin
  + resindvdsrc: do not try to seek before the first chapter
  + rotate: angle is in radians already, do not scale it
  + rsvgdec: use input buffer timings if possible
  + rtmp: add rtmpsink element for output to an RTMP server
  + rtpdtmfmux: add last-stop to dtmf-event upstream events
  + rtpdtmfsrc:
  - correctly recognize the end of a buffer
  - just error out if there is no clock
  - make sure rtpdtmfsrc timestamps don't overlap
  - put the inter digit interval at the end, not at the start
  - respect ptime from the caps
  - start at the last_stop from the start event if there was one
  + rtpvp8:
  - fix bitstream parsing using the wrong kind of bitreader
  - reject unknown bitstream versions
  - update the pay/depay to the ietf-draft-01 spec
  + schroenc:
  - balance encoder and video format alloc/dealloc
  - remove shape_output handling
  + scopes:
  - add a new element similar to synaesthesia
  - add a simple fft based scope
  - draw pixels with signle 32bit writes
  - first version of a scopes plugin using a new baseclass
  - fix elements descriptions
  + shm:
  - add ability to add uint64 tags on buffers
  - add buffer-time property
  + smooth: new element, port to 0.10
  + soundtouch: handling incoming rate when requested
  + spacescope:
  - add color-modes
  - use the drawhelpers and add a draw-style property
  + spandsp: adding spandsp plugin with spanplc element for packet
    loss concealment
  + spectrascope: use add_pixel for non-white pixels
  + subenc: add webvttenc element
  + teletextdec: new teletext decoder plugin based in zvbi
  + tiger: add a "silent" property to skip rendering
  + tsdemux:
  - add explicit supported AAC stream-format in template caps
  - countless fixes and improvements
  + tta: decrease rank to NONE
  + video:
  - abstract surface API for HW accelerated codecs
  - add GstVideoContext interface
  - add libgstbasevideo PC file
  + voaacenc:
  - add new plugin for audio AAC encoder based on vo-aacenc lib
  - add profile and level to the caps
  + vp8dec:
  - add check if we have legal aspect-ratio before reset it
  - propagate downstream flow return to upstream
  - use new basevideodecoder API to drop frames and get QoS
    messages posted
  - add "lag-in-frames" and "min/maxsection-pct" options
  - generate a timestamp for alt-ref frames
  + wrappercamerabinsrc: push newsegments on video capture start
  + xvidenc:
  - add video/mpeg,mpegversion=4 to the caps
  - add profile/level to the caps and negotiate them with
    downstream
  - add support for levels 4a/5/6 of the simple profile
  - don't add the profile/level to the video/x-xvid caps
  + API additions:
  - GstSurfaceBuffer, GstSurfaceConverter, GstDeviceContext
  - codec parser library
  - video decoder and encoder base class API
  + Bugs fixed: bgo#532820, bgo#550230, bgo#569305, bgo#578926,
    bgo#589064, bgo#597822, bgo#599469, bgo#608171, bgo#609639,
    bgo#611046, bgo#615615, bgo#615681, bgo#616421, bgo#619739,
    bgo#620119, bgo#625190, bgo#625520, bgo#628284, bgo#628609,
    bgo#629244, bgo#631390, bgo#631416, bgo#634582, bgo#635917,
    bgo#640017, bgo#641405, bgo#641918, bgo#642023, bgo#642759,
    bgo#647055, bgo#647748, bgo#647842, bgo#648021, bgo#648245,
    bgo#648478, bgo#648565, bgo#648933, bgo#649391, bgo#649822,
    bgo#649832, bgo#649931, bgo#650072, bgo#650171, bgo#650228,
    bgo#650323, bgo#650416, bgo#650484, bgo#650594, bgo#650595,
    bgo#650914, bgo#650970, bgo#651050, bgo#651779, bgo#651782,
    bgo#652035, bgo#652261, bgo#652677, bgo#652694, bgo#652902,
    bgo#652924, bgo#652951, bgo#652956, bgo#652995, bgo#653013,
    bgo#653087, bgo#653161, bgo#653481, bgo#653544, bgo#654293,
    bgo#654310, bgo#654416, bgo#654572, bgo#654657, bgo#654666,
    bgo#654799, bgo#654805, bgo#654806, bgo#654840, bgo#654844,
    bgo#655112, bgo#655318, bgo#655319, bgo#655361, bgo#655362,
    bgo#655540, bgo#655804, bgo#655887, bgo#656107, bgo#656115,
    bgo#656164, bgo#656166, bgo#656226, bgo#656641, bgo#656686,
    bgo#656928, bgo#656929, bgo#657033, bgo#657091, bgo#657250,
    bgo#657363, bgo#657368, bgo#657419, bgo#658251, bgo#658450,
    bgo#658800, bgo#658940, bgo#658973, bgo#659061, bgo#659087,
    bgo#659485, bgo#659836, bgo#659924, bgo#660118, bgo#660234,
    bgo#660364, bgo#660406, bgo#660469, bgo#660528, bgo#660630,
    bgo#660999, bgo#661053, bgo#661066, bgo#661098, bgo#661113,
    bgo#661614, bgo#662164, bgo#662321, bgo#662420, bgo#662746,
    bgo#662776, bgo#662857, bgo#662949, bgo#663180, bgo#663203,
    bgo#663234, bgo#663235, bgo#663238, bgo#663309, bgo#663346,
    bgo#663552, bgo#663768, bgo#663782, bgo#664048, bgo#664123,
    bgo#664257, bgo#664631, bgo#664725, bgo#664815, bgo#664817,
    bgo#665078, bgo#665205, bgo#665378, bgo#665418, bgo#665584,
    bgo#665631, bgo#665703, bgo#665814, bgo#666517, bgo#666584,
    bgo#666750, bgo#667560, bgo#668192, bgo#668311, bgo#668380,
    bgo#668381, bgo#668471, bgo#668521, bgo#668627, bgo#668833,
    bgo#669365, bgo#669697.
- Update gstreamer-0_10-plugins-bad-patch-source.sh (and
  pre_checkin.sh):
  + Deal with xz tarballs.
  + Accept those new plugins: audiovisualizers, faceoverlay,
    freeverb, inter, removesilence, smooth.
- Drop gstreamer-0_10-plugins-bad-mjpegtool2.patch: fixed upstream.
- Drop libmms bcond: always build against libmms-devel since we
  have it.
- Add explicit glib2-devel and gstreamer-0_10-devel BuildRequires
  so they can be versioned.
- Add liblrdf-devel BuildRequires: this enhances the ladspa plugin.
- Add openal-soft-devel BuildRequires to build new OpenAL sink and
  source elements.
- Uncomment opencv-devel BuildRequires: the code can now used a
  recent version of opencv.
- Add zvbi-devel BuildRequires to build new teletext decoder
  plugin.
- Add xz BuildRequires on openSUSE <= 12.1, to be able to
  decompress the xz tarball.
- Create libgstcodecparsers-0_10-23 subpackage for new library, and
  add a Requires for it to devel subpackage.
- Rename libgstbasecamerabinsrc-0_10-0, libgstbasevideo-0_10-0,
  libgstphotography-0_10-0, libgstsignalprocessor-0_10-0,
  libgstvdp-0_10-0 to libgstbasecamerabinsrc-0_10-23,
  libgstbasevideo-0_10-23, libgstphotography-0_10-23,
  libgstsignalprocessor-0_10-23, libgstvdp-0_10-23 following
  upstream soversion change.
- Add missing Requires for libgstbasecamerabinsrc-0_10-23,
  libgstbasevideo-0_10-23, libgstsignalprocessor-0_10-23,
  libgstvdp-0_10-23 to devel subpackage.
* Fri Jan  6 2012 reddwarf@opensuse.org
- Change mjpegtools-devel BR to libmjpegutils-devel to reflect new
  name and fix build in OBS when the two versions are available
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Sat Aug  6 2011 chris@computersalat.de
- fix deps
  o gstreamer-0_10-plugins-base-devel >= 0.10.33
* Fri Jun 24 2011 sbrabec@suse.cz
- Move autoconf call to %%build phase where it belongs.
* Wed Jun  8 2011 reddwarf@opensuse.org
- fix build with mjpegtools 2.0.0
* Thu May 19 2011 reddwarf@opensuse.org
- enable the cURL plugin
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.22:
  + aiffparse:
  - add support for 32 bit and 64 bit floating point formats
  - the SSND header is 16 bytes large, not 8 + 16 bytes
  + assrender: refactor blitting, avoid writing past end of buffer
  + camerabin2:
  - Add a property to select the encoding profile
  - Add custom filter properties
  - Add image-done message
  - Adding audio support for video recordings
  - Adding properties for image capture settings
  - Add methods for preview image message posting
  - Add preview-filter property
  - Adds new idle property
  - Add viewfinder caps related properties
  - Add viewfinder-sink property
  - Implement previewing
  - Implement tagsetter interface
  - Move preview helper functions to basecamerabinsrc
  - Move to encodebin
  - Moving preview image properties to basecamerasrc
  + camerabin:
  - adding audio related properties
  - Always take photo when preview-caps is set
  - don't rely on the application running the default GLib main
    loop
  - Events with select-all in input-selector
  - Fix corner case for preview posting
  - Use running time for muxing
  + celtenc: Fix compilation with celt >= 0.11.0
  + colorspace:
  - add 16-bit-per-channel handling
  - add dithering and support for r210 and fix YUV->RGB matrixing
  + curlsink: add libcurl-based sink element
  + decklink: Add decklink plugin
  + directdrawsink:
  - avoid aspect-ratio borders overlying other windows
  - avoid rendering to invalid area
  + dshowvideosink: update for latest GstXOverlay changes
  + dvbsuboverlay: Fix using alpha values in blitting
  + dvdspu: don't write clipped lines to the output buffer
  + dvdsubdec: make up clut values if they weren't set
  + fieldanalysis: new fieldanalysis element
  + fpsdisplaysink:
  - add "silent" property, fix "sync" property default value
  - add "frames-dropped" and "frames-rendered" properties
  - add "last-message" property and never print anything to
    stdout
  + gme: fix infinite looping by fading out after two loops
  + h263parse: add an h263parse element
  + hlsdemux: Add HTTP live streaming parser/demuxer element
  + id3mux: map new GST_TAG_ENCODED_BY to ID3v2 TENC frame
  + jifmux: Add GstTagXmpWriter support
  + jp2kdec, jp2kenc: add support v308 (4:4:4 YUV)
  + jp2kdec: post proper error when the image's colour space is not
    supported
  + jpegparse: misc. fixes
  + linsys: Add plugin for Linear Systems SDI boards
  + logoinsert: add "data" property; fix memleaks
  + mpegtsdemux: new (not-yet autoplugged) MPEG TS demuxer rewrite
  + mpegtsmux:
  - add byte-stream to h264 template pad caps
  - don't error out if downstream fails to handle the newsegment
    event
  + mpegtspacketizer: Handle all ISO8859-x encodings in
    get_encoding()
  + opencv: make work with openCV 2.2
  + patchdetect: new element
  + rsvgoverlay:
  - allow negative values for x/y/width/height
  - implement x/y/width/height (absolute and relative)
    positioning and dimensioning
  + rtpvp8: Add simple payloaders and depayloaders for VP8
  + scenechange: new scene change detection element
  + sdi: Add raw SDI muxing/demuxing elements
  + shm:
  - Allow ShmPipe to save a data pointer for applications
  - Keep the ShmPipe alive as long as there are blocks left
  - Make default perm u+rw g+r for shm area
  + shmsink:
  - ensure gst_poll_wait is called first on descriptors
  - Keep shmsink referenced while there are still buffers around
  + shmsrc:
  - Keep GstPoll for whole src lifetime
  - Only connect to sink in PLAYING in live mode
  + vdpau: fixup GstFlowReturn handling
  + vdpausink: fix bug where we didn't setup vdpau on a user set
    window
  + videoparsers:
  - new h263parse element
  - baseparse-based dirac parser, new baseparse-based h264parse
  + xvidenc: proxy downstream caps restrictions upstream via
    get_caps()
  + zebrastripe: New element
  + Bugs fixed: bgo#646211, bgo#608786, bgo#334107, bgo#582167,
    bgo#586848, bgo#591651, bgo#594035, bgo#594280, bgo#602847,
    bgo#611061, bgo#615655, bgo#616814, bgo#617532, bgo#622276,
    bgo#626618, bgo#632056, bgo#639502, bgo#639763, bgo#639841,
    bgo#640286, bgo#640287, bgo#640327, bgo#640561, bgo#640637,
    bgo#640885, bgo#641047, bgo#641178, bgo#641496, bgo#641530,
    bgo#641712, bgo#641796, bgo#641857, bgo#641858, bgo#642116,
    bgo#642658, bgo#642671, bgo#643469, bgo#643471, bgo#643607,
    bgo#644176, bgo#644208, bgo#644429, bgo#645006, bgo#645053,
    bgo#645412, bgo#645420, bgo#645502, bgo#645568, bgo#645711,
    bgo#646256, bgo#646495, bgo#646840, bgo#646955, bgo#647030,
    bgo#647364, bgo#647498, bgo#647564, bgo#647830, bgo#647852,
    bgo#647853, bgo#647854, bgo#648001, bgo#648929, bgo#649005,
    bgo#647751, bgo#621027.
- Add new elements to gstreamer-0_10-plugins-bad-patch-source.sh:
  + fieldanalysis, hls, mpegtsdemux, patchdetect, rtpvp8, sdi,
    videofilters and videoparsers.
- Remove libgstaudioparsersbad.so from files section: it's moved to
  the -good package
- libgstqtdemux has been renamed to libgstmpegtsdemux.so
- Add newly appeared elements:
  + libgstdecklink.so
  + libgstfieldanalysis.so
  + libgstfragmented.so
  + libgstlinsys.so
  + libgstpatchdetect.so
  + libgstrtpvp8.so
  + libgstsdi.so
  + libgstvideofiltersbad.so
  + libgstvideoparsersbad.so
* Wed Apr 27 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Sat Apr 23 2011 reddwarf@opensuse.org
- Add GME support
- Fix BUILD_ORIG build
* Mon Jan 31 2011 davejplater@gmail.com
- Update to version 0.10.21 : see documentation - NEWS for all
  changes since 0.10.20
- Upstream additions and removals :
  * alsaspdif: removed alsaspdifsink element (replaced by alsasink
  device=spdif)
  * metadata: remove metadata plugin
  * jack: jack plugin has moved to gst-plugins-good (0.10.27)
  * selector: input-selector and output-selector have moved to
  GStreamer core (0.10.32)
  * valve: has moved to gstreamer core (0.10.32)
  * camerabin2: new camerabin element (work-in-progress, experimental)
  * camerabin: add "preview-source-filter","ready-for-capture",
  "idle" properties
  * camerabin: change "zoom" property from int to float
  * camerabin: enable all conversion flags by default to make it
  work out-of-the-box everywhere
  * cog: improvements in colorspace and scaler; add fast paths for
  colorspace conversion
  * colorspace: revive element and add support for many more
  pixellayouts/colorspaces
  * colorspace: add support for SDTV/HDTV YUV conversions
  * dvbsuboverlay: new element to overlay DVB subtitle
  * interlace: new element
  * jp2kdecimator: add a JPEG2000 decimator element (drop details
  without reencoding)
  * y4mdec: new y4mdec element
  * new libgstbasecamerabinsrc-0.10.so.0
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml, requiring python is enough.
* Fri Jan 14 2011 vuntz@opensuse.org
- Remove libgme-devel BuildRequires: it was not submitted to
  Factory, so it makes the build fail. It means we don't have gme
  support.
* Tue Dec 14 2010 reddwarf@opensuse.org
- Add gme support
* Fri Sep 24 2010 vuntz@opensuse.org
- Move libkate-devel BuildRequires out of the orig build, since
  it's now in Factory.
* Tue Sep 21 2010 vuntz@opensuse.org
- Add libtimidity-devel BuildRequires to build the timidity plugin.
- Drop gstreamer010-plugins-bad-libdca-shared.patch: this is not
  needed anymore, since the orig build will have a recent-enough
  version of libdca now.
- Update the list of plugins we patch out of the source to make the
  package really free:
  + This is based on what Fedora does.
  + See bnc#637056 for the discussion. We can ship the muxers and
    demuxers now. However, we can't ship dvdspu, nor siren.
  + Update gstreamer-0_10-plugins-bad-patch-source.sh to be based
    on the gst-p-bad-cleanup.sh script used for
    gstreamer-plugins-bad-free in Fedora.
  + Drop gstreamer010-plugins-bad-patched.patch: the script now
    patches the tarball too.
  + Remove call to autogen.sh/autoconf: this is done by the script
    too.
  + Remove the call to rm after %%makeinstall that removes plugins:
    all plugins that we build are fine now, and since we explicitly
    list plugins in the packages file lists, we can't have a plugin
    there by accident.
  + Regenerate gst-plugins-bad-0.10.20-patched.tar.bz2.
* Wed Sep  8 2010 dimstar@opensuse.org
- Fix files list for full build:
  + amrwbparser has been removed since 0.10.14, migrated to -ugly.
    See also bgo#584890.
  + aacparser was merged into audioparse since 0.10.18.
  + Add mpegpsmux.so, that appeared in version 0.10.14.
- Due to the move of amr to -ugly, remove the libopencore-amr-devel
  BuildRequires.
- Remove obsolete FIXME lines:
  + assrender is being built
- Add some more FIXME lines:
  + flite: a small, fast run time synthesis engine
  + gme: game-music-emu
  + lv2: a standard for plugins and matching host applications,
    mainly targeted at audio processing and generation.
- New built decoders/encoders/muxers:
  + kate: add libkate-devel BuildRequires; plugin is packaged in
    the original addon package.
* Tue Sep  7 2010 dimstar@opensuse.org
- Change xvid-devel BuildRequires to libxvidcore-devel and
  amrwb-devel to libopencore-amr-devel. This is the name used by
  exxternal repositories.
* Mon Sep  6 2010 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Fri Sep  3 2010 dimstar@opensuse.org
- Update to version 0.10.20:
  + vdpau: H.264 and MPEG-4 decoder (not enabled for autoplugging
    yet though)
  + vp8enc: support multipass encoding and keyframe-only mode
  + neonhttpsrc: timeout properties and cookie support
  + h264parse and mpegvideoparse: can periodically insert codec
    data into stream now
  + build: require GLib >= 2.20, automake >= 1.10,
    autoconf >= 2.60, want orc
  + asfmux:
  - deprecate "is-live" property, replaced by new "streamable"
    property
  - don't set the 'seekable' flag in headers if we are streaming
  - put headers into "streamheader" field in output caps for
    streaming
  - write preroll info in the header at initialization
  + bayer: support more formats in bayer2rgb, add rgb2bayer element
  + camerabin: make viewfinder-sink property work with bins
  + celt: add support for celt 0.8, remove support for celt < 0.5
  + celtenc: add "prediction" and "start band" properties
  + coloreffects: new element with heat, sepia, xray and
    cross-process effects
  + dshowvideosink: many fixes and improvements
  + fpsdisplaysink: add "fps-update-interval" and read-only
    "max-fps"/"min-fps" properties
  + frei0r: check for plugins in /usr/{local/,}lib{32,64}/frei0r-1
  + gaudieffects: new plugin with burn, chromium, dilate, dodge,
    exclusion, gaussianblur and solarize video effect elements
  + geometrictransform: new plugin with circle, diffuse,
    kaleidoscope, marble, pinch, sphere, twirl, and waterripple,
    fisheye, mirror, square, tunnel, bulge, stretch video effect
    elements
  + gsettings: new GSettings plugin with audio/video sources and
    sinks (to replace gconf plugin)
  + h264parse: add "config-interval" property to insert SPS/PPS at
    periodic intervals
  + h264parse: handle 3-byte bytestream sync codes; process
    incoming timestamps more correctly
  + id3mux: add support for beats-per-minute tag
  + invtelecine: support more video formats, more pulldown formats,
    add "verify-field-flags" property
  + ivfparse: add simple IVF parser element (simple framing for VP8
    video data)
  + jpegformat: add exif writing to jifmux and exif parsing to
    jpegparse
  + jpegparse: skip extra 0xff markers, optimize jpeg image parsing
  + mimic: lots of fixes and clean-ups
  + mpeg4videoparse: add "config-interval" property to re-insert
    config in stream
  + mpegtsmux: start pmt at 0x020; take all the pmt in the
    streamheaders
  + mpegtsparse: actually work when we have small buffers coming in
  + mpegvideoparse: apply previous timestamp when there isn't any
    newer
  + neonhttpsrc: add "connect-timeout", "read-timeout" and
    "cookies" properties
  + qtmux:
  - write audio/video stream bitrates into header, if available
  - write track-number etc. tags even if count is not available
  + rtmpsrc: new RTMP source element based on librtmp
  + rtpdtmfmux: add priority sink pads and drop buffers on
    non-priority sink pads when something is incoming on the
    priority sink
  + rtpmux: add support for GstBufferLists; aggregate incoming
    segments; fix buffer leak
  + shm: add new shm-based shmsink and shmsrc elements for IPC
    using shared memory
  + vdpau: add H.264 decoder and MPEG-4 part 2 decoder; countless
    other fixes and improvements
  + videomaxrate: new plugin/element to limit videorate
    conditionally based on threshold
  + vp8dec:
  - mark discont buffers, set decoder deadline from the QoS
    information
  - allow a maximum keyframe distance of 0, i.e. all frames are
    keyframes
  - fix handling of invisible/alt ref frames
  - add support for enabling automatic insertion of alt-ref
    frames by the encoder
  - implement multipass encoding
  + wildmidi: Add support for wildmidi 0.2.3
  + Bugs fixed: bgo#625908, bgo#625076, bgo#620746, bgo#566614,
    bgo#570428, bgo#574290, bgo#579926, bgo#580967, bgo#591622,
    bgo#602551, bgo#602936, bgo#613346, bgo#616265, bgo#618336,
    bgo#618522, bgo#618921, bgo#618936, bgo#620324, bgo#620717,
    bgo#620825, bgo#620978, bgo#621205, bgo#621348, bgo#621523,
    bgo#622369, bgo#622484, bgo#622690, bgo#622692, bgo#622725,
    bgo#623272, bgo#623365, bgo#623550, bgo#623678, bgo#623710,
    bgo#623713, bgo#623722, bgo#623802, bgo#623854, bgo#623881,
    bgo#623883, bgo#625003, bgo#625138, bgo#625174, bgo#625496,
    bgo#625722, bgo#625817, bgo#625959, bgo#626049, bgo#626603,
    bgo#626670, bgo#626815, bgo#627413, bgo#627918, bgo#627991,
    bgo#624212, bgo#619158, bgo#619484, bgo#621404
- Drop gstreamer-0_10-plugins-bad-remove-cog_test.patch, upstream
  included.
- Rebase gstreamer010-plugins-bad-patched.patch.
- Remove liboil-devel BuildRequires.
- gst-camera.ui is no longer installed, so we can drop the hack to
  delete it ourselves.
- Add libvdpau-devel BuildRequires.
- Split out libgstvdp-0_10-0 subpackage.
- Add gsettings macros to preamble, post and postun.
* Mon Aug 30 2010 vuntz@opensuse.org
- Reenable the VP8 plugin by adding libvpx-devel BuildRequires
  back.
* Mon Aug 30 2010 vuntz@opensuse.org
- Remove libvpx-devel BuildRequires for now since it's not in
  Factory yet.
* Wed Aug 25 2010 vuntz@opensuse.org
- Add libvpx-devel BuildRequires for WebM support.
- Manually remove gst-camera.ui since gst-camera is not installed
  anymore.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.10.19:
  + audioparsers: add bitrate calculation
  + camerabin:
  - add API to query supported image capture resolution
  - add block-after-capture property for viewfinder blocking
  - add video-capture-width/height/framerate properties
  - add video-source-filter and viewfinder-filter properties
  + capssetter: element was moved to gst-plugins-good
  + cogcolorspace: implement color-matrix handling and chroma-site
  + dc1394: add iso-speed property
  + dshowvideosrc: add support for YUY2 input format
  + festival: don't open an infinite number of connections to the
    server and close connections
  + h264parse:
  - fix writing NALU prefix for byte-stream output format
  - fix wrong timestamps in some cases after seeking
  + imagefreeze: plugin was moved to gst-plugins-good
  + invtelecine: add invtelecine element
  + jackaudiosrc: implement multichannel support
  + jpegformat: add xmp reading and writing support
  + ladspa, lv2: don't fail in plugin_init when having 0 elements
    (which would cause the plugin to get blacklisted)
  + mmssrc:
  - Check URI for validity and work around URI parsing bugs in
    libmms
  - Use the escaped location for the RTSP redirect message
  + mpegtsdemux: add support for Blu-Ray style DTS and the two DTS
    HD stream types
  + mpegtsparse: parse TDT table in mpegts
  + mpegvideoparse: export profile and level in caps; estimate
    bitrate; update caps when sequence header changes
  + oss4: plugin was moved to gst-plugins-good
  + qtmux: add support for the VP8 video codec and XMP tags
  + segmentclip: add audio/video buffer segment clip elements
  + vcdsrc: support the DVD URI scheme so a device can be specified
    via the URI
  + vp8: add libvpx-based VP8 encoder/decoder
  + Bugs fixed: bgo#572551, bgo#603745, bgo#611302, bgo#612208,
    bgo#612331, bgo#612454, bgo#612615, bgo#612687, bgo#612757,
    bgo#613156, bgo#613160, bgo#613332, bgo#613708, bgo#613758,
    bgo#613795, bgo#613920, bgo#614016, bgo#614037, bgo#614259,
    bgo#614349, bgo#614475, bgo#614479, bgo#614591, bgo#614958,
    bgo#614991, bgo#616078, bgo#616541, bgo#617145, bgo#617146,
    bgo#617331, bgo#617650, bgo#618044, bgo#618388, bgo#618409,
    bgo#618527, bgo#618710, bgo#618867, bgo#619064, bgo#619169,
    bgo#619172, bgo#619290, bgo#619317, bgo#619318, bgo#619344,
    bgo#619444, bgo#619502, bgo#619617, bgo#619916, bgo#614317
- Drop gstreamer010-plugins-bad-libpng14.patch: fixed upstream.
- Add gstreamer-0_10-plugins-bad-remove-cog_test.patch to fix
  build, which chokes on BRP checks. The patch is from upstream,
  commit 106cf3
- Add librsvg-devel BuildRequires.
* Sun Jul 18 2010 vuntz@opensuse.org
- Add explicit BuildRequires on orc since it's needed for the cog
  plugin (it was brought by the schroedinger-devel package before).
* Tue Apr 20 2010 davejplater@gmail.com
- Provides gstreamer-0_10-schroedinger = 1.0.8 to ensure a clean
  update of gstreamer-0_10-schroedinger to this package
* Fri Apr  9 2010 vuntz@opensuse.org
- Add gstreamer010-plugins-bad-libpng14.patch taken from upstream,
  to correctly detect recent libpng.
* Thu Mar 25 2010 vuntz@opensuse.org
- Build the schroedinger plugin that was moved from schroedinger to
  here:
  + Add schroedinger-devel BuildRequires to build the schroedinger
    plugin.
  + Provides and Obsoletes gstreamer-0_10-schroedinger.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.18:
  + Features of tis release:
  - aacparse: lots of fixes, now based on common baseparser class
    and merged into audioparser plugin
  - ac3parse: new AC3 parser element based on common baseparser
    class and part of new audioparser plugin
  - adpcmenc: new adpcm encoder element
  - aiffmux: new aiff muxer element
  - amrparse: use (default) time handling of baseparser class,
    merged into audioparser plugin
  - apexsink: change volume property to a double to make work
    with playbin2
  - asfmux: handle streams with different start times
  - asfmux: improve compatibility with WMSP in WMP
  - asfmux, rfbsrc, vmnc, mpegdemux, resindvd: fix alignment and
    endianness issues
  - assrender: countless fixes and improvements
  - audioparsers: rename baseparse GType name to avoid possible
    conflicts
  - audioparsers: fix seek handling, newsegment sending, push
    mode data draining
  - celt: make compile against earlier CELT versions
  - configure: call $PKG_CONFIG instead of pkg-config to fix
    cross compilation
  - dataurisrc: new source element for data:// URIs
  - faac: lots of fixes (channel layout, output caps, bps
    estimation etc.)
  - flacparse: fix multiple channel frame parsing; merged into
    new audioparser plugin
  - fpsdisplaysink: expose video sink using a property
  - h264parse: Correctly rewrite all nal prefixes
  - h264parse: fix caps parameters setting, framerate calculation
  - h264parse: fix regression in output buffer timestamping
  - h264parse: optionally output AUs rather than NALUs or
    transform from bytestream to sample format and vice versa
  - h264parse: parse SPS some more (e.g. for width/height)
  - ivorbisdec: moved to -base (to reuse same codebase as
    vorbisdec)
  - jpegformat: new jifmux element
  - jpegparse: new jpeg parser element (not autoplugged for now)
  - mmssrc: post error message in addition to redirect when
    connect fails
  - mpegtsdemux: Handle eac3 in PMT
  - mpegtsmux: add pat-interval and pmt-interval properties
  - mpegtsmux: Do not crash on misinterpreted h264
  - mpegtsmux: Fix mistake on previous commit
  - mpegtsmux: fix PAT/PMT insertion frequency, add PAT/PMT in
    streamheader
  - mpegtsmux: mark delta-unit on outgoing buffers
  - qtmux: add moov recovery feature (to finalise recording after
    crash or so)
  - qtmux: improves compatibility with some hardware players
  - qtmux: add support for ALAC, SVQ3, IMA ADPCM; improve j2k
    handling
  - qtmux: misc. tag writing fixes: write all udta children
    atoms; crash less
  - shapewipe: moved to -bad
  - vdpau: lots of fixes and refactoring
  + Bugs fixed: bgo#606657, bgo#607513, bgo#440476, bgo#530513,
    bgo#563433, bgo#575878, bgo#583098, bgo#598350, bgo#598682,
    bgo#598916, bgo#600409, bgo#601108, bgo#601417, bgo#602161,
    bgo#602465, bgo#602524, bgo#602528, bgo#603938, bgo#603983,
    bgo#603986, bgo#604099, bgo#604101, bgo#604280, bgo#604311,
    bgo#604908, bgo#604925, bgo#605720, bgo#605721, bgo#605904,
    bgo#606371, bgo#606636, bgo#606665, bgo#606677, bgo#606726,
    bgo#606859, bgo#607105, bgo#607285, bgo#607555, bgo#607747,
    bgo#608042, bgo#608651, bgo#608706, bgo#608751, bgo#608753,
    bgo#608896, bgo#608998, bgo#609055, bgo#609215, bgo#609478,
    bgo#164870, bgo#383478, bgo#606878, bgo#580731, bgo#587922,
    bgo#601576
* Wed Mar  3 2010 dimstar@opensuse.org
- Update to version 0.10.17:
  + Fix DVD playback
  + New elements: DTMF tone source and detector
  + ASS subtitle support improvements
  + Fix compilation on OS/X Snow Leopard
  + Support DVB 3.3 API
  + Inputselector fixes
  + Bugs fixed:
- Changes from version 0.10.16
  + Fix various bugs in the 0.10.15 release
  + Fix a deadlock in starting DVD
  + Fix compilation problems
  + Allow libneon versions >= 29.x
- Changes from version 0.10.15
  + Add barcode scanner plugin using the zbar library
  + Improvements to camerabin
  + Support audio-track format switching in DVD
  + Improve parsing and display of PGS subpictures
  + Add Cog plugin
  + Add LV2 plugin support
  + Improve VDPAU plugin. Add post-processing support
  + Add videomeasure plugin
  + Improve Siren codec
  + Improved Directshow capture element
  + Add EAC3 mapping in MPEG-TS playback
  + Improve AAC encoding
  + Improved MIDI file playback
  + Improve H-264 parsing
  + Add MPEG-PS muxer
  + Add PNM encoder and decoder
  + Add SVG decoder
  + Update GLib dependency to GLib 2.16
  + Various other bug fixes and improvements (see ChangeLog)
- Changes from version 0.10.14
  + Moved rtpmanager to -good
  + Moved dirac elements from schroedinger to gst-plugins-bad
    (new schroedinger release without the gstreamer elements
    will follow shortly)
  + amrwb: Remove AMR-WB parser and decoder and rename encoder
    plugin from amrwb to amrwbenc (the removed elements will
    re-appear in the next -ugly release; no migration strategy
    provided in this case because of the special status of the
    amrwb plugin)
  + asfmux, rtpasfpay: add ASF muxer and windows media payloader
  + basevideo: add experimental video base class library/API
  + camerabin: lots of fixes and improvements
  + capssetter: new element for debugging purposes
  + directdraw: Implement GstNavigation interface
  + directshow: refactor and improve dshowsrcwrapper, dshowideosrc,
    dshowaudiosrc
  + frei0r: wrapper for frei0r video filter plugins
  + gme: add libgme plugin which supersedes the existing OpenSPC
    spc plugin
  + Implement SEEKING query in more demuxers and decoders (notably
    mpeg-ps/mpeg-ts, mxf, musepack, rawparse)
  + kate: add kate subtitle encoder, decoder and overlay
  + mimic: lots of fixes for mimenc and mimdec; add "paused mode"
  + mpegpsdemux: added caps for AAC and fixed playback of a clip
    with LPCM
  + mpegtsdemux: added VC1, EAC3 and LPCM related to blueray/hdmv
  + qtmux: handle pixel-aspect-ratio; misc. other fixes and
    improvements
  + shapewipe: support ARGB/RGBA for video input/output; fix for
    still images
  + vdpau: add experimental vdpau plugin
- Update gstreamer-0_10-plugins-bad-patch-source.sh and
  gstreamer010-plugins-bad-patched.patch to also drop mpegpsmux
  from the patched source tarball and from configure.ac
- Drop gstreamer010-plugins-bad-libass-0.9.7.patch, upstream fixed.
- Filelist: xdgmime has been moved to -base, rtpmanager to -good,
  aiffparse was renamed to aiff.
- Split out the two new libraries accoring SLPP.
* Mon Dec 14 2009 aj@suse.de
- Refresh patches with fuzz=0.
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Oct  1 2009 lnussel@suse.de
- optionally enable libmms
- make divx4linux optional too as it's binary only
* Tue Aug 11 2009 sbrabec@suse.cz
- Updated to version 0.10.13:
  * New shapewipe video transition plugin
  * qtmux improvements
  * camerabin improvements
  * HDV MPEG-TS private streams support
  * Output interlacing information in mpegvideoparse
  * MS-ADPCM decoder
  * RTP fixes and enhancements
  * DTS decoder improvements
  * New ID3 tagging plugin that supports v1, v2.3 and v2.4
  * Support for PGS (BluRay) subtitles
  * Many other bug fixes and enhancements
  * Bugs fixed: bgo#584945, bgo#511097, bgo#561752, bgo#584164,
    bgo#584165, bgo#584360, bgo#585015, bgo#585660, bgo#584114,
    bgo#583188, bgo#583627
- Split according to shard library packaging policy.
* Fri May 22 2009 vuntz@novell.com
- Update to version 0.10.12:
  + Presets support in several elements
  + Support ITV MPEG-TS streams
  + New element: flvmux
  + New element: osxvideosrc
  + Fixes in RTP elements
  + camerabin fixes
  + Improved QT/mp4 muxing
  + xdgmime based content type guessing
  + deinterlace2 moved to the Good plugins (replacing deinterlace)
  + Support for MXF muxing, and improved MXF demuxing
  + Greatly improved DVD playback
  + DirectDraw element moved back from Good plugins
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#573852, bgo#574401, bgo#580091, bgo#153684,
    bgo#537700, bgo#569437, bgo#569673, bgo#569781, bgo#573595,
    bgo#573846, bgo#573847, bgo#573848, bgo#573849, bgo#575388,
    bgo#575736, bgo#576408, bgo#577690, bgo#577864, bgo#578112,
    bgo#578562, bgo#578563, bgo#580133, bgo#580144, bgo#580786,
    bgo#580901, bgo#581375, bgo#582013, bgo#582074, bgo#582208,
    bgo#582483, bgo#582656, bgo#582702, bgo#583337, bgo#580585,
    bgo#577843, bgo#581593, bgo#575284, bgo#576021, bgo#576712,
    bgo#581427
- Drop gst-plugins-bad-soundtouch14.patch: fixed upstream.
- Remove useless change in configure.ac for swfdec: this plugin
  doesn't compile anyway.
* Mon May 11 2009 sbrabec@suse.cz
- Build with external modplug.
- Fix for the latest soundtouch.
- Don't call autogen in older products.
- patch-source script included as source.
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 0.10.11:
  + Add ASS/SSA subtitle handling element assrender
  + Leak fixes in the QuickTime decoder wrapper
  + Better DirectShow output on Windows
  + Extend QT muxing support to include AMR and H.263
  + mms seeking support
  + Extended MXF file format handling
  + camerabin and photography API for digital camera interfacing
  + Merge elements from Farsight: liveadder, sirendec, sirenenc,
    valve, rtpdtmfsrc, rtpdtmdepay, dtmfsrc, rtpdtmfmux,
    autoconvert, mimdec, mimenc
  + typefinder based on xdgmime
  + Bugs fixed: bgo#573369, bgo#568704, bgo#354908, bgo#369912,
    bgo#469930, bgo#481075, bgo#549645, bgo#567003, bgo#567371,
    bgo#567828, bgo#567965, bgo#568480, bgo#568483, bgo#568837,
    bgo#569323, bgo#570996, bgo#571560, bgo#572315, bgo#572900,
    bgo#573288, bgo#573391, bgo#575157, bgo#575565, bgo#564114,
    bgo#573850, bgo#573851, bgo#172043
- Respin gstreamer010-plugins-bad-patched.patch.
- Respin gstreamer010-plugins-bad-libdca-shared.patch.
- Drop gstreamer010-plugins-bad-swfdec04.patch: this old patch
  attempt that we don't use is for an old swfdec anyway.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove checks for old versions of openSUSE.
- Remove unneeded BuildRequires: ladspa.
- Update file list.
- Add many FIXME about plugins which cannot build because we're
  lacking some packages.
- Add call to ldconfig since there's a library in the package now.
* Tue Feb 24 2009 sbrabec@suse.cz
- Updated to version 0.10.10:
  * New MXF demuxer added
  * JPEG-2000 encoder - jp2enc added
  * RTP support
  * Fixes for RTP support
  * Add parsers for AAC and AMR
  * Move libgstapp and elements to -base
  * Add Quicktime muxer element qtmux
  * Enhance RFB capture
  * Improve MPEG-TS and MPEG-PS demuxing
  * Introduce audioringbuffer element
  * Improve DVD playback of ResinDVD components
  * Move old audioresample from -base as legacyaudioresample
  * Improve speexresampler, and then move it to -base
  * Improve FLV demuxing and parsing
  * Various DVB input fixes
  * Add support for frequency list descriptors for DVB
  * Improve MPEG-TS muxer
  * New CELT encoder and decoder
  * New TwoLAME encoder
  * New DCCP element
  * New AIFF parser element
  * New APEX sink element
  * deinterlace2 element improvements
  * New JACK audio src element
  * New winscreencap, winks and pcapparse plugins
  * x624enc fixes
  * Support for ATSC tuning and channels.conf parsing
  * RTP improvements
  * New scaletempo element
  * Add Fluendo MPEG-TS muxer
  * Add Fluendo MPEG-TS and MPEG-PS demuxers
  * New JPEG2000 element
  * New FLAC parser element
  * DVD playback improvements
  * Improved DirectShow decoding support
  * New Windows Audio Session audio src element
  * New FLV muxer element
  * Many other bug fixes and improvements
* Thu Feb  5 2009 vuntz@novell.com
- Don't package the libgstapp-related files: they moved to
  gstreamer-0_10-plugins-base. This can be removed once we upgrade
  to latest upstream.
* Tue Nov 25 2008 sbrabec@suse.cz
- Patch source code to remove unwanted codecs, added correct
  conflicts for seamless upgrade. (bnc#441855)
* Thu Nov  6 2008 sbrabec@suse.cz
- Build dc1394, dirac, mplex, musepack and sndfile modules
  (bnc#441855).
- Build with EXIF, IPTC, XMP support in metadata module.
- Fixed valgrid BuildRequires.
* Wed Oct 22 2008 sbrabec@suse.cz
- Improvements of optional patches.
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.10.8:
  + OSS v4 support
  + libdc1394 2.0.0 support
  + AAC support fixes
  + RTP support improved
  + New OFA element
  + SRT subtitle encoder added
  + Windows Inet support for http/ftp
  + Fixes in dc1394, MIDI, MPEG-2 encoding, MythTV input, NAS
  + Fixes in Bayer decoder, replaygain analysis, GSM decoder
  + DVB/MPEG-TS support improved
  + NSF decoder updated
  + 'metadata' plugin enhancements
  + Dirac encoder ported to libschroedinger
  + mplex element ported to 0.10
  + VCD/CDXA parser ported to 0.10
  + Directshow wrapper improvements
  + 'selector' plugin enhancements
  + souphttpsrc moved to the -good module
  + Various other fixes and enhancements
  + Support shared desktops in RFB input
  + Make the Quicktime codec wrapper work on win32
  + Experimental DVD navigation support
  + Support AAC/H.264 in FLV files
  + Fixes in the DirectShow codec wrapper
  + Fix the Real codec wrapper plugin
  + New deinterlace2 plugin incorporating TVtime deinterlacers
  + Handle seeking, timestamps, duration in RAW video/audio parsers
  + New DirectShow video sink for Win32
  + FAAD reverse playback support
  + OSS4 support improvements
  + MythTV seeking support
  + SPC decoder now supports seeking, tags and duration queries
  + Replaygain elements moved to Good
  + Deinterleave/interleave elements fixed and moved to Good
  + MPEG-4 video stream parser fixes
  + Improved MPEG-TS parsing for DVB support
  + Improvements in App source/sink
  + RTP manager enhancements
  + Bugs fixed: bfo#498237, bfo#529378, bfo#351309, bfo#469979,
    bfo#494499, bfo#514948, bfo#514964, bfo#517937, bfo#518227,
    bfo#518722, bfo#519905, bfo#520329, bfo#520626, bfo#520892,
    bfo#520894, bfo#520897, bfo#521749, bfo#522134, bfo#522212,
    bfo#522884, bfo#523854, bfo#524035, bfo#525271, bfo#526337,
    bfo#527622, bfo#528000, bfo#528011, bfo#528245, bfo#528266,
    bfo#528614, bfo#529283, bfo#529285, bfo#517854, bfo#517895,
    bfo#517896, bfo#525100, bfo#481354, bfo#533736, bfo#544050,
    bfo#454151, bfo#506594, bfo#521392, bfo#525613, bfo#528618,
    bfo#529359, bfo#530611, bfo#531840, bfo#531955, bfo#532723,
    bfo#533435, bfo#533559, bfo#535043, bfo#536042, bfo#536258,
    bfo#536856, bfo#538560, bfo#539292, bfo#539601, bfo#541522,
    bfo#541543, bfo#543286, bfo#543846, bfo#543848, bfo#543860,
    bfo#543861, bfo#544457, bfo#526905, bfo#532011, and bfo#536309.
* Mon May 19 2008 schwab@suse.de
- Fix real patch.
* Tue Apr  8 2008 sbrabec@suse.cz
- Fixed Obsoletes (bnc#357153).
* Mon Mar 10 2008 maw@suse.de
- Update to version 0.10.6:
  +       * DVB support added
  + dc1394 support
  + RTP-manager improvements
  + Support for native QT codecs on OS/X and DirectShow codecs on Windows,
    courtesy of Songbird and Fluendo
  + New elements: flvdemux, flvparse, mpegtsparse, dvbsrc, dvdspu
  + More new elements: mpeg4videoparse, metadatademux/mux, souphttpsrc,
    speexresample, qtwrapper
  + Even more new elements: rawaudioparse, fbdevsink
  + Renamed elements/plugins: switch (now selector), pitch (now soundtouch)
  + Elements graduated to good: multifilesrc/sink, spectrum, equalizer,
    bpwsinc, lpwsinc
  + Elements graduated to ugly: xingmux (now part of mpegaudioparse)
  + OpenGL support moved to new module: gst-plugins-gl
  + appsrc/appsink improvements
  + Fixes in neonhttpsrc
  + Fixes in amrwbparse
  + Deinterlacer improvements
  + Fixes in dtsdec
  + Fixes in the Real codec wrappers
  + Bugs fixed: bgo#321240, bgo#508029, bgo#508294, bgo#387251,
    bgo#393461, bgo#395424, bgo#397759, bgo#403992, bgo#409974,
    bgo#426657, bgo#433373, bgo#444499, bgo#450175, bgo#450605,
    bgo#452009, bgo#452258, bgo#453636, bgo#454078, bgo#454313,
    bgo#456901, bgo#456912, bgo#461068, bgo#461373, bgo#461377,
    bgo#461601, bgo#462737, bgo#464678, bgo#468039, bgo#471554,
    bgo#473562, bgo#474969, bgo#476128, bgo#476148, bgo#476159,
    bgo#476370, bgo#477306, bgo#478566, bgo#481200, bgo#481276,
    bgo#481279, bgo#483400, bgo#484990, bgo#485462, bgo#487496,
    bgo#487892, bgo#487901, bgo#490060, bgo#490682, bgo#492406,
    bgo#492798, bgo#496221, bgo#498430, bgo#498667, bgo#498755,
    bgo#499008, bgo#500099, bgo#500142, bgo#501579, bgo#502335,
    bgo#502879, bgo#503308, bgo#507020, bgo#507584, bgo#507940,
    bgo#508515, bgo#508587, bgo#508979, bgo#510708, bgo#511001,
    bgo#511146, bgo#511530, bgo#511683, bgo#511686, bgo#511920,
    bgo#512654, bgo#512774, bgo#512826, bgo#514093, bgo#515564,
    bgo#515567, bgo#515588, bgo#515720, bgo#515721, bgo#515722,
    bgo#515815, bgo#515860, bgo#515919, bgo#515964, bgo#515970,
    bgo#516061, bgo#516094, bgo#516114, bgo#516160, bgo#516436,
    bgo#516448, bgo#516499, bgo#517391, bgo#517571, bgo#517684,
    bgo#478159, bgo#497020, and bgo#501562
- Drop gstreamer010-plugins-bad-ac.patch and
  gstreamer010-plugins-bad-soundtouch-1.0.patch
- Several plugins have been moved from this package to
  gstreamer-0_10-plugins-good.
* Tue Jan 22 2008 sbrabec@suse.cz
- Split package according to shared library packaging policy
  (#223286).
- Created lang package.
* Thu Oct 18 2007 maw@suse.de
- Only package %%{_libdir}/gstreamer-%%{gst_branch}/libgstneonhttpsrc.so
  on 10.2 and 10.3
- Add several requirements to the -devel subpackage.
* Tue Oct 16 2007 sbrabec@suse.cz
- Fixed backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Fri Sep  7 2007 schwab@suse.de
- Fix file list.
* Thu Aug  2 2007 sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Thu Jun 21 2007 sbrabec@suse.cz
- Updated to version 0.10.5:
  * New plugin - realdec for decoding Real streams using binary
    libs
  * New plugin - MythTV source
  * New plugin - appsrc (for application data insertion)
  * New plugin - VMnc VMware capture decoder
  * New plugin - JACK audio output
  * New plugin - interleave/deinterleave
  * New plugin - RTP manager
  * New plugin - Bayer to RGB converter
  * New plugin - ReplayGain support
  * New plugin - DirectShow win32 input support
  * New plugin - videosignal/videoanalyse
  * LADSPA plugin improvements
  * IIR equaliser ported to 0.10 (iirequalizer)
  * libsndfile output ported to 0.10
  * mpegvideoparse ported to 0.10 and improved
  * switch element ported to 0.10
  * VCD source element ported to 0.10
  * AMR-WB support fixes
  * MIDI renderer plugin based on timidity
  * qtdemux, wavpack and videocrop plugins moved to the Good module
  * Many other bug fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
* Thu May 10 2007 ro@suse.de
- added ladspa-devel to buildrequires
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Tue Apr 17 2007 sbrabec@suse.cz
- Removed NoSource - there is no problematic code.
* Wed Mar 28 2007 sbrabec@suse.cz
- Updated to version 0.10.4:
  * V4L2 source element moved to Good plugins
  * Many improvements in Quicktime playback
  * Xvid encoding and decoding improvements
  * FAAD decoder fixes
  * New element: alsaspdifsink for IEC958 output
  * Spectrum FFT analysis element ported
  * New element: h264parse. H.264 Parser
  * Fixes in bz2 support
  * New element: theoraexpdec. Libtheoraexp based Theora decoder
  * New element: wavpackenc. Wavpack decoder
  * Improvements in the libneon based http source
  * gstfilter ported to 0.10
  * mpeg2enc ported to 0.10
  * New element: nsfdec. NSF decoder
  * New element: spcdec. libopenspc based SPC decoder
  * videocrop ported/re-written from 0.8
  * cdaudio element ported to 0.10
  * New element: rganalysis. ReplayGain analysis element
  * New element: dvbsrc. DVB source element (disabled by default)
  * deinterlace (Simple deinterlacer) ported from 0.8
  * New element: nuvdemux. NUV video demuxer
  * Fixes in the DirectDraw output elements
  * New elements: multifilesrc, multifilesink
  * y4mencode ported from 0.8
  * rfbsrc, librfb based capture source ported from 0.8
  * New element: jackaudiosink. JACK audio output element
  * Many fixes and improvements
- Support for BUILD_ORIG and BUILD_ORIG_ADDON defines (#237351).
* Fri Mar  2 2007 sbrabec@suse.cz
- Fixed BuildRequires to build on all products.
* Tue Feb  6 2007 sbrabec@suse.cz
- Reduced BuildRequires.
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Dec 11 2006 sbrabec@suse.cz
- Fixed build for 10.2.
* Tue Nov 28 2006 sbrabec@suse.cz
- Build correctly in older products.
* Thu Nov  9 2006 sbrabec@suse.cz
- Fixed linking of plugins with latest packages.
* Mon Oct 16 2006 ro@suse.de
- use DirectFB-devel in BuildRequires
* Sun Jul 23 2006 olh@suse.de
- readd gcc-c++ to buildrequires
  adapt for neon 0.26 API
* Tue Jun 27 2006 sbrabec@suse.cz
- Build with libdca-devel.
* Tue Jun 20 2006 sbrabec@suse.cz
- Updated to version 0.10.3:
  * FAAD/AAC decoder improvements
  * Better QuickTime support
  * Plugins ported from 0.8: modplug, v4l2src, Musicbrainz TRM
  * New plugins: Xing muxer, libsoundtouch, AMR-WB, theora-exp
  * Musepack decoder improved
  * libneon based http input now supports iradio mode
  * More uniform plugin descriptions
  * Many bug fixes
- Added support for more plugins.
* Wed Mar 22 2006 hvogel@suse.de
- add gcc-c++ to buildrequires for some configure check
* Fri Feb 24 2006 jpr@suse.de
- Update to 0.10.1
- Changes since 0.10.0:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Lots of fixes for the QT/MOV demuxer, including restoring
    the ability to play web streams, and more codecs supported
  * AAC decoder fixes
  * MMS source fixes
  * DirectFB plugin updated
  * New plugins ported to 0.10: swfdec, XVid, dtsdec, glimagesink
  * New libneon based http source filter
  * APE tag reader moved to gst-plugins-good module
  Bugs fixed since 0.10.0:
  * 303167 : Add bzip2 support
  * 322973 : [wavpack] erroneous sampling rates range
  * 326524 : Support for Indeo 3-encoded QuickTime files
  * 327133 : [qtdemux] QuickTime with 8-bit audio
  * 328854 : AAC+ stream not working with FAAD plugin
  * 330089 : [bz2] Wrong mimetype and no typefinding
  * 331302 : bz2 plugin source files lack copyright notices
  * 331543 : crash on iTunes MPEG v4 AAC-LC files
  * 331582 : [qtdemux] protect log statement against invalid memory access
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 sbrabec@suse.cz
- Build again with -export-symbols-regex.
* Mon Jan  9 2006 sbrabec@suse.cz
- Build GSM modules.
* Fri Jan  6 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
